Option Strict On
Module Module1

    Sub Main()
        Console.WriteLine(" введите количество чисел")
        Dim n As Integer = Integer.Parse(Console.ReadLine())
        Console.WriteLine(" Введите числа через точку с запятой")
        Dim line As String = Console.ReadLine()
        Dim A(n - 1) As Double
        For i As Integer = 0 To n - 2
            A(i) = Double.Parse(line.Substring(0, line.IndexOf(";")))
            line = line.Substring(line.IndexOf(";") + 1)
        Next i
        Dim m = n
        A(n - 1) = Double.Parse(line)
        For i As Integer = 0 To n - 2
            For j As Integer = 0 To m - 2
                If A(j) > A(j + 1) Then
                    A(j + 1) += A(j)
                    A(j) = A(j + 1) - A(j)
                    A(j + 1) = A(j + 1) - A(j)
                Else
                End If
                m += -1
            Next j
        Next i
        Console.WriteLine()
        For i As Integer = 0 To n - 1
            Console.Write(" {0};", A(i))
        Next i
        Console.ReadLine()
    End Sub

End Module
